"use strict";var _interopRequireDefault=require("@babel/runtime/helpers/interopRequireDefault");Object.defineProperty(exports,"__esModule",{value:true});exports["default"]=void 0;var _regenerator=_interopRequireDefault(require("@babel/runtime/regenerator"));var _asyncToGenerator2=_interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));var _classCallCheck2=_interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));var _createClass2=_interopRequireDefault(require("@babel/runtime/helpers/createClass"));var _path=_interopRequireDefault(require("path"));var _fs=_interopRequireDefault(require("fs"));var _json=_interopRequireDefault(require("json5"));var _typescriptEstree=require("@typescript-eslint/typescript-estree");var _Definition=_interopRequireDefault(require("./Definition"));var _Reference=_interopRequireDefault(require("./Reference"));var _AutowireIdentifier=_interopRequireDefault(require("./AutowireIdentifier"));var _ContainerDefaultDirMustBeSet=_interopRequireDefault(require("./Exception/ContainerDefaultDirMustBeSet"));var _PassConfig=_interopRequireDefault(require("./PassConfig"));var _AutowireOverridePass=_interopRequireDefault(require("./CompilerPass/AutowireOverridePass"));function _createForOfIteratorHelper(r,e){var t="undefined"!=typeof Symbol&&r[Symbol.iterator]||r["@@iterator"];if(!t){if(Array.isArray(r)||(t=_unsupportedIterableToArray(r))||e&&r&&"number"==typeof r.length){t&&(r=t);var _n=0,F=function F(){};return{s:F,n:function n(){return _n>=r.length?{done:!0}:{done:!1,value:r[_n++]};},e:function e(r){throw r;},f:F};}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");}var o,a=!0,u=!1;return{s:function s(){t=t.call(r);},n:function n(){var r=t.next();return a=r.done,r;},e:function e(r){u=!0,o=r;},f:function f(){try{a||null==t["return"]||t["return"]();}finally{if(u)throw o;}}};}function _unsupportedIterableToArray(r,a){if(r){if("string"==typeof r)return _arrayLikeToArray(r,a);var t={}.toString.call(r).slice(8,-1);return"Object"===t&&r.constructor&&(t=r.constructor.name),"Map"===t||"Set"===t?Array.from(r):"Arguments"===t||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(t)?_arrayLikeToArray(r,a):void 0;}}function _arrayLikeToArray(r,a){(null==a||a>r.length)&&(a=r.length);for(var e=0,n=Array(a);e<a;e++)n[e]=r[e];return n;}var Autowire=exports["default"]=function(){function Autowire(container){var tsConfigFullPath=arguments.length>1&&arguments[1]!==undefined?arguments[1]:null;(0,_classCallCheck2["default"])(this,Autowire);this._ensureContainerIsValidForAutowire(container);this._rootDirectory=container.defaultDir;this._container=container;this._excludedFolders=[];this._serviceFile=null;try{this._tsConfigFullPath=tsConfigFullPath||_path["default"].join(process.cwd(),'tsconfig.json');this._tsConfigPaths=_json["default"].parse(_fs["default"].readFileSync(this._tsConfigFullPath,'utf-8')).compilerOptions.paths;}catch(e){this._tsConfigPaths=null;}this._container.autowire=this;}return(0,_createClass2["default"])(Autowire,[{key:"_ensureContainerIsValidForAutowire",value:function _ensureContainerIsValidForAutowire(container){if(container.defaultDir===null){throw new _ContainerDefaultDirMustBeSet["default"]();}}},{key:"container",get:function get(){return this._container;}},{key:"_walk",value:_regenerator["default"].mark(function _walk(dir){var files,_iterator,_step,file;return _regenerator["default"].wrap(function _walk$(_context){while(1)switch(_context.prev=_context.next){case 0:files=_fs["default"].readdirSync(dir,{withFileTypes:true});_iterator=_createForOfIteratorHelper(files);_context.prev=2;_iterator.s();case 4:if((_step=_iterator.n()).done){_context.next=12;break;}file=_step.value;if(!file.isDirectory()){_context.next=9;break;}return _context.delegateYield(this._walk(_path["default"].join(dir,file.name)),"t0",8);case 8:return _context.abrupt("continue",10);case 9:return _context.delegateYield(this._walkFilePath(dir,file.name),"t1",10);case 10:_context.next=4;break;case 12:_context.next=17;break;case 14:_context.prev=14;_context.t2=_context["catch"](2);_iterator.e(_context.t2);case 17:_context.prev=17;_iterator.f();return _context.finish(17);case 20:case"end":return _context.stop();}},_walk,this,[[2,14,17,20]]);})},{key:"_walkFilePath",value:_regenerator["default"].mark(function _walkFilePath(dir,fileName){var filePath;return _regenerator["default"].wrap(function _walkFilePath$(_context2){while(1)switch(_context2.prev=_context2.next){case 0:_context2.prev=0;filePath=_path["default"].join(dir,fileName);this._ensureFileIsNotExcluded(filePath);_context2.next=5;return filePath;case 5:_context2.next=9;break;case 7:_context2.prev=7;_context2.t0=_context2["catch"](0);case 9:case"end":return _context2.stop();}},_walkFilePath,this,[[0,7]]);})},{key:"_ensureFileIsNotExcluded",value:function _ensureFileIsNotExcluded(filePath){this._excludedFolders.forEach(function(excludedFolder){if(filePath.includes(excludedFolder)){throw new Error('Excluded Folder!');}});}},{key:"addExclude",value:function addExclude(relativePath){var fullPathToExclude=_path["default"].join(this._rootDirectory,relativePath);this._excludedFolders.push(fullPathToExclude);}},{key:"_getServiceIdFromPath",value:(function(){var _getServiceIdFromPath2=(0,_asyncToGenerator2["default"])(_regenerator["default"].mark(function _callee(path,type){var extension,readableId,_args3=arguments;return _regenerator["default"].wrap(function _callee$(_context3){while(1)switch(_context3.prev=_context3.next){case 0:extension=_args3.length>2&&_args3[2]!==undefined?_args3[2]:'.ts';readableId=path.replace(/\//g,'__').replace(extension,'').replace('@','__').concat("__".concat(type));return _context3.abrupt("return",_AutowireIdentifier["default"].encode(readableId));case 3:case"end":return _context3.stop();}},_callee);}));function _getServiceIdFromPath(_x,_x2){return _getServiceIdFromPath2.apply(this,arguments);}return _getServiceIdFromPath;}())},{key:"process",value:(function(){var _process=(0,_asyncToGenerator2["default"])(_regenerator["default"].mark(function _callee2(){var promises,_iterator2,_step2,filePath;return _regenerator["default"].wrap(function _callee2$(_context4){while(1)switch(_context4.prev=_context4.next){case 0:promises=[];_iterator2=_createForOfIteratorHelper(this._walk(this._rootDirectory));try{for(_iterator2.s();!(_step2=_iterator2.n()).done;){filePath=_step2.value;promises.push(this._executeFilePath(filePath));}}catch(err){_iterator2.e(err);}finally{_iterator2.f();}_context4.next=5;return Promise.all(promises);case 5:this._container.addCompilerPass(new _AutowireOverridePass["default"](),_PassConfig["default"].TYPE_BEFORE_OPTIMIZATION);case 6:case"end":return _context4.stop();}},_callee2,this);}));function process(){return _process.apply(this,arguments);}return process;}())},{key:"_executeFilePath",value:(function(){var _executeFilePath2=(0,_asyncToGenerator2["default"])(_regenerator["default"].mark(function _callee3(filePath){var parsedFile,_yield$this$_getClass,classDeclaration,body,Class,definition,serviceId;return _regenerator["default"].wrap(function _callee3$(_context5){while(1)switch(_context5.prev=_context5.next){case 0:parsedFile=_path["default"].parse(filePath);if(!(parsedFile.ext!=='.ts')){_context5.next=3;break;}return _context5.abrupt("return");case 3:_context5.next=5;return this._getClassDeclaration(filePath);case 5:_yield$this$_getClass=_context5.sent;classDeclaration=_yield$this$_getClass.classDeclaration;body=_yield$this$_getClass.body;if(classDeclaration){_context5.next=10;break;}return _context5.abrupt("return");case 10:Class=require(filePath)["default"];if(Class){_context5.next=13;break;}return _context5.abrupt("return");case 13:_context5.next=15;return this._getDefinition(classDeclaration,body,parsedFile,Class);case 15:definition=_context5.sent;if(definition){_context5.next=18;break;}return _context5.abrupt("return");case 18:_context5.next=20;return this._getServiceIdFromPath(filePath,Class.name);case 20:serviceId=_context5.sent;this.container.setDefinition(serviceId,definition);_context5.next=24;return this._interfaceImplementations(classDeclaration,body,parsedFile,serviceId);case 24:case"end":return _context5.stop();}},_callee3,this);}));function _executeFilePath(_x3){return _executeFilePath2.apply(this,arguments);}return _executeFilePath;}())},{key:"_getClassDeclaration",value:(function(){var _getClassDeclaration2=(0,_asyncToGenerator2["default"])(_regenerator["default"].mark(function _callee4(filePath){var sourceCode,body,classDeclaration;return _regenerator["default"].wrap(function _callee4$(_context6){while(1)switch(_context6.prev=_context6.next){case 0:sourceCode=_fs["default"].readFileSync(filePath,'utf8');body=(0,_typescriptEstree.parse)(sourceCode).body;classDeclaration=body.find(function(declaration){return declaration.type==='ExportDefaultDeclaration';});return _context6.abrupt("return",{classDeclaration:classDeclaration,body:body});case 4:case"end":return _context6.stop();}},_callee4);}));function _getClassDeclaration(_x4){return _getClassDeclaration2.apply(this,arguments);}return _getClassDeclaration;}())},{key:"_getDefinition",value:(function(){var _getDefinition2=(0,_asyncToGenerator2["default"])(_regenerator["default"].mark(function _callee5(classDeclaration,body,parsedFile,ServiceClass){var definition,constructorParams,_iterator3,_step3,parameterDeclaration,typeNameForArgument,argumentId;return _regenerator["default"].wrap(function _callee5$(_context7){while(1)switch(_context7.prev=_context7.next){case 0:_context7.prev=0;definition=new _Definition["default"](ServiceClass);_context7.next=4;return this._getConstructorParamsByDefinition(definition,classDeclaration,body,parsedFile);case 4:constructorParams=_context7.sent;_iterator3=_createForOfIteratorHelper(constructorParams);_context7.prev=6;_iterator3.s();case 8:if((_step3=_iterator3.n()).done){_context7.next=19;break;}parameterDeclaration=_step3.value;typeNameForArgument=parameterDeclaration.parameter.typeAnnotation.typeAnnotation.typeName.name;_context7.next=13;return this._getIdentifierFromImports(typeNameForArgument,body,parsedFile);case 13:argumentId=_context7.sent;if(argumentId){_context7.next=16;break;}return _context7.abrupt("continue",17);case 16:definition.addArgument(new _Reference["default"](argumentId),definition["abstract"]);case 17:_context7.next=8;break;case 19:_context7.next=24;break;case 21:_context7.prev=21;_context7.t0=_context7["catch"](6);_iterator3.e(_context7.t0);case 24:_context7.prev=24;_iterator3.f();return _context7.finish(24);case 27:return _context7.abrupt("return",definition);case 30:_context7.prev=30;_context7.t1=_context7["catch"](0);case 32:case"end":return _context7.stop();}},_callee5,this,[[0,30],[6,21,24,27]]);}));function _getDefinition(_x5,_x6,_x7,_x8){return _getDefinition2.apply(this,arguments);}return _getDefinition;}())},{key:"_getConstructorParamsByDefinition",value:(function(){var _getConstructorParamsByDefinition2=(0,_asyncToGenerator2["default"])(_regenerator["default"].mark(function _callee6(definition,classDeclaration,body,parsedFile){var constructorDeclaration;return _regenerator["default"].wrap(function _callee6$(_context8){while(1)switch(_context8.prev=_context8.next){case 0:constructorDeclaration=classDeclaration.declaration.body.body.find(function(method){return method.key.name==='constructor';});if(classDeclaration.declaration["abstract"]){definition["abstract"]=true;}_context8.next=4;return this._parentDefinition(classDeclaration,body,parsedFile,definition);case 4:return _context8.abrupt("return",constructorDeclaration?constructorDeclaration.value.params:[]);case 5:case"end":return _context8.stop();}},_callee6,this);}));function _getConstructorParamsByDefinition(_x9,_x10,_x11,_x12){return _getConstructorParamsByDefinition2.apply(this,arguments);}return _getConstructorParamsByDefinition;}())},{key:"_parentDefinition",value:(function(){var _parentDefinition2=(0,_asyncToGenerator2["default"])(_regenerator["default"].mark(function _callee7(classDeclaration,body,parsedFile,definition){var typeParent,parentId;return _regenerator["default"].wrap(function _callee7$(_context9){while(1)switch(_context9.prev=_context9.next){case 0:if(!classDeclaration.declaration.superClass){_context9.next=6;break;}typeParent=classDeclaration.declaration.superClass.name;_context9.next=4;return this._getIdentifierFromImports(typeParent,body,parsedFile);case 4:parentId=_context9.sent;if(parentId){definition.parent=parentId;}case 6:case"end":return _context9.stop();}},_callee7,this);}));function _parentDefinition(_x13,_x14,_x15,_x16){return _parentDefinition2.apply(this,arguments);}return _parentDefinition;}())},{key:"_interfaceImplementations",value:(function(){var _interfaceImplementations2=(0,_asyncToGenerator2["default"])(_regenerator["default"].mark(function _callee8(classDeclaration,body,parsedFile,serviceId){var _classDeclaration$dec;var implementations,_iterator4,_step4,implement,interfaceType,aliasId;return _regenerator["default"].wrap(function _callee8$(_context10){while(1)switch(_context10.prev=_context10.next){case 0:implementations=(_classDeclaration$dec=classDeclaration.declaration["implements"])!==null&&_classDeclaration$dec!==void 0?_classDeclaration$dec:[];_iterator4=_createForOfIteratorHelper(implementations);_context10.prev=2;_iterator4.s();case 4:if((_step4=_iterator4.n()).done){_context10.next=15;break;}implement=_step4.value;interfaceType=implement.expression.name;_context10.next=9;return this._getIdentifierFromImports(interfaceType,body,parsedFile);case 9:aliasId=_context10.sent;if(!(!aliasId||this.container.hasAlias(aliasId))){_context10.next=12;break;}return _context10.abrupt("continue",13);case 12:this.container.setAlias(aliasId,serviceId);case 13:_context10.next=4;break;case 15:_context10.next=20;break;case 17:_context10.prev=17;_context10.t0=_context10["catch"](2);_iterator4.e(_context10.t0);case 20:_context10.prev=20;_iterator4.f();return _context10.finish(20);case 23:case"end":return _context10.stop();}},_callee8,this,[[2,17,20,23]]);}));function _interfaceImplementations(_x17,_x18,_x19,_x20){return _interfaceImplementations2.apply(this,arguments);}return _interfaceImplementations;}())},{key:"_getIdentifierFromImports",value:(function(){var _getIdentifierFromImports2=(0,_asyncToGenerator2["default"])(_regenerator["default"].mark(function _callee9(type,body,parsedFile){var _this$_tsConfigPaths,rootDir,relativeImportForImplement,configPaths,pathConfig,tsConfigPath,tsRelativePath,parsedTsConfigPath,absolutePathImportForImplement;return _regenerator["default"].wrap(function _callee9$(_context11){while(1)switch(_context11.prev=_context11.next){case 0:_context11.prev=0;rootDir=parsedFile.dir;_context11.next=4;return this._getRelativeImport(body,type);case 4:relativeImportForImplement=_context11.sent;configPaths=(_this$_tsConfigPaths=this._tsConfigPaths)!==null&&_this$_tsConfigPaths!==void 0?_this$_tsConfigPaths:[];_context11.t0=_regenerator["default"].keys(configPaths);case 7:if((_context11.t1=_context11.t0()).done){_context11.next=18;break;}pathConfig=_context11.t1.value;tsConfigPath=pathConfig.replace(/\*/g,'');tsRelativePath=this._tsConfigPaths[pathConfig][0].replace(/\*/g,'');if(relativeImportForImplement.includes(tsConfigPath)){_context11.next=13;break;}return _context11.abrupt("continue",7);case 13:relativeImportForImplement=relativeImportForImplement.replace(tsConfigPath,tsRelativePath);parsedTsConfigPath=_path["default"].parse(this._tsConfigFullPath);rootDir=parsedTsConfigPath.dir;_context11.next=7;break;case 18:absolutePathImportForImplement=_path["default"].join(rootDir,relativeImportForImplement);return _context11.abrupt("return",this._getServiceIdFromPath(absolutePathImportForImplement,type));case 22:_context11.prev=22;_context11.t2=_context11["catch"](0);case 24:case"end":return _context11.stop();}},_callee9,this,[[0,22]]);}));function _getIdentifierFromImports(_x21,_x22,_x23){return _getIdentifierFromImports2.apply(this,arguments);}return _getIdentifierFromImports;}())},{key:"_getRelativeImport",value:(function(){var _getRelativeImport2=(0,_asyncToGenerator2["default"])(_regenerator["default"].mark(function _callee10(body,type){return _regenerator["default"].wrap(function _callee10$(_context12){while(1)switch(_context12.prev=_context12.next){case 0:return _context12.abrupt("return",body.find(function(declaration){if(declaration.specifiers){return declaration.specifiers.find(function(specifier){return specifier.local.name===type;});}return null;}).source.value);case 1:case"end":return _context12.stop();}},_callee10);}));function _getRelativeImport(_x24,_x25){return _getRelativeImport2.apply(this,arguments);}return _getRelativeImport;}())},{key:"serviceFile",get:function get(){return this._serviceFile;},set:function set(serviceFile){this._serviceFile=serviceFile;}}]);}();